// Code generated by go-swagger; DO NOT EDIT.

package auth

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"gitlab.com/apricotsoft/public/infrastructure/vmdap/internal/transports/http/codegen/models"
)

// AuthExchangeOKCode is the HTTP code returned for type AuthExchangeOK
const AuthExchangeOKCode int = 200

/*AuthExchangeOK A successful response.

swagger:response authExchangeOK
*/
type AuthExchangeOK struct {

	/*
	  In: Body
	*/
	Payload *models.AuthResponse `json:"body,omitempty"`
}

// NewAuthExchangeOK creates AuthExchangeOK with default headers values
func NewAuthExchangeOK() *AuthExchangeOK {

	return &AuthExchangeOK{}
}

// WithPayload adds the payload to the auth exchange o k response
func (o *AuthExchangeOK) WithPayload(payload *models.AuthResponse) *AuthExchangeOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the auth exchange o k response
func (o *AuthExchangeOK) SetPayload(payload *models.AuthResponse) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *AuthExchangeOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

/*AuthExchangeDefault An unexpected error response

swagger:response authExchangeDefault
*/
type AuthExchangeDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewAuthExchangeDefault creates AuthExchangeDefault with default headers values
func NewAuthExchangeDefault(code int) *AuthExchangeDefault {
	if code <= 0 {
		code = 500
	}

	return &AuthExchangeDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the auth exchange default response
func (o *AuthExchangeDefault) WithStatusCode(code int) *AuthExchangeDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the auth exchange default response
func (o *AuthExchangeDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the auth exchange default response
func (o *AuthExchangeDefault) WithPayload(payload *models.Error) *AuthExchangeDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the auth exchange default response
func (o *AuthExchangeDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *AuthExchangeDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
